# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:22:46 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	OLE
%define	pnam	Storage_Lite
Summary:	OLE::Storage_Lite perl module
Summary(pl):	Modu OLE::Storage_Lite
Name:		perl-%{pdir}-%{pnam}
Version:	0.11
Release:	0.2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-IO-stringy
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to read and write an OLE-Structured file.
The module will work on the majority of Windows, UNIX and Macintosh
platforms. 
					 
%description -l pl
Modu ten umoliwia odczyt i zapis plikw w standardziee OLE.
Jest niezaleny od platformy systemowej i powinien dziaa na systemach
Windows, UNIX i Macintosh.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install sample/{README,*.pl,*xls} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/OLE/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-OLE-Storage_Lite.spec,v $
Revision 1.4.2.1  2003/03/13 00:22:46  ankry
- BR: new rpm (new perl.prov), rel. 0.2

Revision 1.4  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:32  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/11/26 10:03:16  mis
- autoupdated to 0.11

Revision 1.1  2002/09/03 08:35:44  grabba
- first version

